/*
 *  timePointRecorder.cpp
 *  drawingWithTime
 *
 *  Created by zachary lieberman on 9/21/10.
 *  Copyright 2010 __MyCompanyName__. All rights reserved.
 *
 */

#include "timePointRecorder.h"

//-------------------------------------------------
void timePointRecorder::setup(){
	bRecording = false;
}

//-------------------------------------------------
void timePointRecorder::clear(){
	pts.clear();
}

//-------------------------------------------------
void timePointRecorder::draw(){
	
	
	
	
	ofSetColor(0,0,0);
	ofNoFill();
	ofBeginShape();
	for (int i = 0; i < pts.size();i++){
		ofVertex(pts[i].x, pts[i].y);
	}
	ofEndShape();	
}

//-------------------------------------------------
void timePointRecorder::startDrawing(float x, float y){
	clear();
	bRecording = true;
	ofPoint temp;
	temp.x = x;
	temp.y = y;
	pts.push_back(temp);
}

//-------------------------------------------------
void timePointRecorder::addPoint (float x, float y){
	ofPoint temp;
	temp.x = x;
	temp.y = y;
	pts.push_back(temp);
}

//-------------------------------------------------
void timePointRecorder::endDrawing(){
	bRecording = false;
}

//-------------------------------------------------
bool timePointRecorder::bHaveADrawing(){
	if (bRecording == true){
		return false;
	} else if (pts.size() < 2){
		return false;
	}
	
	return true;
}

